# Uses of Enum Class
org.jfree.chart3d.Orientation

Packages that use Orientation
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.legend
Classes related to chart legends.

## Uses of Orientation in org.jfree.chart3d

Methods in org.jfree.chart3d that return Orientation
Modifier and Type
Method
Description
`Orientation`
Chart3D.`getLegendOrientation()`
Returns the orientation for the legend.
`static Orientation`
Orientation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Orientation[]`
Orientation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.jfree.chart3d with parameters of type Orientation
Modifier and Type
Method
Description
`void`
Chart3D.`setLegendOrientation(Orientation orientation)`
Sets the legend orientation and sends a `Chart3DChangeEvent` to all registered listeners.
`void`
Chart3D.`setLegendPosition(Anchor2D anchor, Orientation orientation)`
Sets the legend position (both the anchor point and the orientation) and sends a `Chart3DChangeEvent` to all registered listeners.

## Uses of Orientation in org.jfree.chart3d.legend

Methods in org.jfree.chart3d.legend that return Orientation
Modifier and Type
Method
Description
`Orientation`
ColorScaleElement.`getOrientation()`
Returns the orientation.
Methods in org.jfree.chart3d.legend with parameters of type Orientation
Modifier and Type
Method
Description
`TableElement`
ColorScaleLegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates a new color scale legend with the specified orientation.
`TableElement`
LegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates a legend for the specified plot.
`TableElement`
StandardLegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates and returns a legend (instance of `TableElement`) that provides a visual key for the data series in the specified plot.
Constructors in org.jfree.chart3d.legend with parameters of type Orientation
Modifier
Constructor
Description
``
`ColorScaleElement(ColorScale scale, Orientation orientation, double barWidth, double barLength, Font font, Color textColor)`
Creates a new `ColorScaleElement` with the specified attributes.